require("utils")
require("config")

data:extend(
	{
		{
			type = "technology",
			name = "black-market",
			icon = "__BlackMarket__/graphics/black-market.png",
			icon_size = 128,
			effects =
			{
				{
					type = "unlock-recipe",
					recipe = "trading-chest-sell",
				},
				{
					type = "unlock-recipe",
					recipe = "trading-chest-buy",
				},
			},
			prerequisites = { "steel-processing" },
			unit = {
				count = 75,
				ingredients = {
					{"science-pack-1", 1},
				},
				time = 10
			},
			order = "k-c",
		},
	}
)


--------------------------------------------------------------------------------------
local sell = dupli_proto( "container", "steel-chest", "trading-chest-sell", true )
sell.inventory_size = 50
sell.picture = 
    {
		filename = "__BlackMarket__/graphics/trading-chest-sell.png",
		priority = "extra-high",
		width = 48,
		height = 34,
		shift = {0.1875, 0}
    }

data:extend(
	{
		sell,

		{
			type = "item",
			name = "trading-chest-sell",
			icon = "__BlackMarket__/graphics/trading-chest-sell-icon.png",
			flags = {"goes-to-quickbar"},
			subgroup = "storage",
			order = "a[items]-za",
			place_result = "trading-chest-sell",
			stack_size = 50,
		},
		
		{
			type = "recipe",
			name = "trading-chest-sell",
			enabled = false,
			energy_required = 0.5,
			ingredients = {
				{"steel-chest", 1},
				{"electronic-circuit", 4},
			},
			result = "trading-chest-sell",
		},
	}
)

--------------------------------------------------------------------------------------
local buy = dupli_proto( "container", "steel-chest", "trading-chest-buy", true )
buy.inventory_size = 50
buy.picture = 
    {
		filename = "__BlackMarket__/graphics/trading-chest-buy.png",
		priority = "extra-high",
		width = 48,
		height = 34,
		shift = {0.1875, 0}
    }

data:extend(
	{
		buy,

		{
			type = "item",
			name = "trading-chest-buy",
			icon = "__BlackMarket__/graphics/trading-chest-buy-icon.png",
			flags = {"goes-to-quickbar"},
			subgroup = "storage",
			order = "a[items]-za",
			place_result = "trading-chest-buy",
			stack_size = 50,
		},
		
		{
			type = "recipe",
			name = "trading-chest-buy",
			enabled = false,
			energy_required = 0.5,
			ingredients = {
				{"steel-chest", 1},
				{"electronic-circuit", 4},
			},
			result = "trading-chest-buy",
		},
	}
)

--------------------------------------------------------------------------------------
data:extend(
	{
		{
			type = "item",
			name = "ucoin",
			icon = "__BlackMarket__/graphics/ucoin.png",
			flags = {"goes-to-quickbar"},
			subgroup = "science-pack",
			order = "y",
			stack_size = 1000000
		},
	}
)

